PROBLEMA Ho perso la secret key di un progetto python-django

fabio_1

Utente Attivo
175
6
Hardware Utente
CPU
i5-6500
Scheda Madre
ASRock H170 Pro4S
Hard Disk
Samsung 850EVO 250GB
RAM
Corsair DD4 2133 C13 2x4GB
Scheda Video
Sapphire R9 380 4GB NITRO
Scheda Audio
Integrata + DAC Audioengine D1
Monitor
LG 24MB56HQ-B IPS
Alimentatore
XFX 550 Black
Case
Corsair Spec-03
Periferiche
Casse Edifier R1800TIII
Sistema Operativo
Windows 7
Ho un progetto (python+django) che tengo in due computers e tra un copia incolla e un altro devo aver fatto casino: penso di aver sovrascritto la secret key di un progetto con quella dell'altro col risultato che ora sul notebook non funziona più (i due progetti erano stati creati separatamente e solo dopo ho copiato il contenuto di uno nell'altro quindi le password erano diverse). Inoltre sempre nel portatile non riesco più ad accedere al database (PostgreSQL, usando il pgAdmin III fornito di serie) (autenticazione fallita) ma di questo casomai parlerò in un altro thread una volta risolto il primo problema (l'ho accennato perché non vorrei le due cose fossero dipendenti).

Per tentare di risolvere ho fatto una copia del progetto, ho cancellato l'originale, ho ricreato un nuovo progetto nella cartella ora vuota (ma ho tenuto virtualenv), ho copiato la nuova secret key (che non so come venga generata, ovvero a cosa sia associata: a un file specifico? alla cartella? al progetto? e come lo riconosce?), ho copiato i file nel nuovo progetto ed ho usato la nuova password che mi ero segnato (perché copiandoci i file setting.py é andato nuovamente e volutamente perso).

Risultato: nessuno. Stesso errore che riporto sotto. Il che mi fa rivalutare l'idea che il problema dipenda dal database e non dalla secret key del progetto.

Grazie per l'aiuto

Codice:
System check identified no issues (0 silenced).
Unhandled exception in thread started by <function check_errors.<locals>.wrapper
at 0x0000000004ADAEA0>
Traceback (most recent call last):
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 216, in ensure_connection
    self.connect()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 194, in connect
    self.connection = self.get_new_connection(conn_params)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\po
stgresql\base.py", line 174, in get_new_connection
    connection = Database.connect(**conn_params)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\psycopg2\__init__.py"
, line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATALE:  autenticazione con password fallita per l'ut
ente "gm"


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\utils\autorelo
ad.py", line 225, in wrapper
    fn(*args, **kwargs)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\core\managemen
t\commands\runserver.py", line 120, in inner_run
    self.check_migrations()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\core\managemen
t\base.py", line 442, in check_migrations
    executor = MigrationExecutor(connections[DEFAULT_DB_ALIAS])
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\migrations\
executor.py", line 18, in __init__
    self.loader = MigrationLoader(self.connection)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\migrations\
loader.py", line 49, in __init__
    self.build_graph()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\migrations\
loader.py", line 209, in build_graph
    self.applied_migrations = recorder.applied_migrations()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\migrations\
recorder.py", line 61, in applied_migrations
    if self.has_table():
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\migrations\
recorder.py", line 44, in has_table
    return self.Migration._meta.db_table in self.connection.introspection.table_
names(self.connection.cursor())
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 255, in cursor
    return self._cursor()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 232, in _cursor
    self.ensure_connection()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 216, in ensure_connection
    self.connect()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\utils.py",
line 89, in __exit__
    raise dj_exc_value.with_traceback(traceback) from exc_value
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 216, in ensure_connection
    self.connect()
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\ba
se\base.py", line 194, in connect
    self.connection = self.get_new_connection(conn_params)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\django\db\backends\po
stgresql\base.py", line 174, in get_new_connection
    connection = Database.connect(**conn_params)
  File "C:\Users\Fabio\Envs\possedimenti\lib\site-packages\psycopg2\__init__.py"
, line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
django.db.utils.OperationalError: FATALE:  autenticazione con password fallita p
er l'utente "gm"
PS ho cambiato idea: l'altro thread lo creo subito che in settimana non avrò accesso a internet se non da smarthphone
 
Ultima modifica:

Entra

oppure Accedi utilizzando